Subject: Offline Message from Noha: Hello, I have ordered 2 kettles and a braun ipl,
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 10:52:34 -0000

From: Noha <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us/
Department: 

Hello,
I have ordered 2 kettles and a braun ipl, 
Order num #100155500.
I received the kettle but not the ipl, the delivery guy called two days ago saied that he had the ipl and gave us an appointment but never showed up nor answering our calls.
I need a help with that, please.

----
Zopim
https://www.zopim.com